-- Left Shift (2 bits)
-- Author: John Moskal
--  Created: 11-26-04
-- Modified: 11-26-04
--
-- Modifications:
--
------------------------------------------------------------------------------------------

library work;
library ieee;
use ieee.std_logic_1164.all;

entity shiftleft2 is
port
(
   I:   in std_logic_vector(31 downto 0);
   O:   out std_logic_vector(31 downto 0)
);
end entity shiftleft2;

------------------------------------------------------------------------------------------

architecture stuff of shiftleft2 is

-- COMPONENTS --

-- SIGNALS --

-- HDL --

begin

   O(00) <= '0';
   O(01) <= '0';

   O(02) <= I(00);
   O(03) <= I(01);
   O(04) <= I(02);
   O(05) <= I(03);
   O(06) <= I(04);
   O(07) <= I(05);
   O(08) <= I(06);
   O(09) <= I(07);
   O(10) <= I(08);
   O(11) <= I(09);
   O(12) <= I(10);
   O(13) <= I(11);
   O(14) <= I(12);
   O(15) <= I(13);
   O(16) <= I(14);
   O(17) <= I(15);
   O(18) <= I(16);
   O(19) <= I(17);
   O(20) <= I(18);
   O(21) <= I(19);
   O(22) <= I(20);
   O(23) <= I(21);
   O(24) <= I(22);
   O(25) <= I(23);
   O(26) <= I(24);
   O(27) <= I(25);
   O(28) <= I(26);
   O(29) <= I(27);
   O(30) <= I(28);
   O(31) <= I(29);

end stuff;

------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------



