-- Sign Extender Testbench
-- Author: John Moskal
-- Modifications:
--
------------------------------------------------------------------------------------------

library work;
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

---------------------------------------------------------------------------

entity signex16_tb is
end signex16_tb;

---------------------------------------------------------------------------

architecture struct of signex16_tb is

---------------------------------------------------------------------------
-- COMPONENT HERE

component signex16 is
port
(
	-- PORT DEFINITION HERE (COPY!!!)
   I:   in std_logic_vector(15 downto 0);
   O:   out std_logic_vector(31 downto 0)
);
end component signex16;

---------------------------------------------------------------------------
-- SIGNALS HERE

signal I:   std_logic_vector(15 downto 0);
signal O:   std_logic_vector(31 downto 0);

---------------------------------------------------------------------------

begin  -- struct

	-- INSTANTIATE HERE
  dut: signex16 port map(I,O);

process
begin  -- process

I <= "0000000000000000";   wait for 10 ns;
I <= "0000000000000001";   wait for 10 ns;
I <= "0000000000000011";   wait for 10 ns;
I <= "0000000000000111";   wait for 10 ns;
I <= "0000000000001111";   wait for 10 ns;
I <= "0000000000011111";   wait for 10 ns;
I <= "0000000000111111";   wait for 10 ns;
I <= "0000000001111111";   wait for 10 ns;
I <= "0000000011111111";   wait for 10 ns;
I <= "0000000111111111";   wait for 10 ns;
I <= "0000001111111111";   wait for 10 ns;
I <= "0000011111111111";   wait for 10 ns;
I <= "0000111111111111";   wait for 10 ns;
I <= "0001111111111111";   wait for 10 ns;
I <= "0011111111111111";   wait for 10 ns;
I <= "0111111111111111";   wait for 10 ns;
I <= "1111111111111111";   wait for 10 ns;

I <= "1000000000000000";   wait for 10 ns;
I <= "1000000000000001";   wait for 10 ns;
I <= "1000000000000011";   wait for 10 ns;
I <= "1000000000000111";   wait for 10 ns;
I <= "1000000000001111";   wait for 10 ns;
I <= "1000000000011111";   wait for 10 ns;
I <= "1000000000111111";   wait for 10 ns;
I <= "1000000001111111";   wait for 10 ns;
I <= "1000000011111111";   wait for 10 ns;
I <= "1000000111111111";   wait for 10 ns;
I <= "1000001111111111";   wait for 10 ns;
I <= "1000011111111111";   wait for 10 ns;
I <= "1000111111111111";   wait for 10 ns;
I <= "1001111111111111";   wait for 10 ns;
I <= "1011111111111111";   wait for 10 ns;
I <= "1111111111111111";   wait for 10 ns;
I <= "1111111111111111";   wait for 10 ns;

end process;

end struct;
