-- Jump Detect (Jump, Jump and Link) (NOT Jump Register)
-- Author: John Moskal
--  Created: 12-01-04
-- Modified: 12-01-04
--
-- Modifications:
--
------------------------------------------------------------------------------------------

library work;
library ieee;
use ieee.std_logic_1164.all;

entity JmpDetect is
port
(
   OpCode:   in std_logic_vector(5 downto 0);
   Jmp:   out std_logic
);
end entity JmpDetect;

------------------------------------------------------------------------------------------

architecture stuff of JmpDetect is

-- HDL --
begin

process(OpCode)
begin

   if(Opcode="000010") then
       Jmp <= '1';
   elsif(OpCode="000011") then
       Jmp <= '1';
   else
       Jmp <= '0';
   end if;
end process;

end stuff;

------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------


